Bug 593446 - SELinux is preventing /usr/bin/perl "getattr" access on /dev/mapper/control.
SELinux is preventing /usr/bin/perl "getattr" access on /dev/mapper/cont...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:8f12e3db421...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-18 15:24 EDT by Brian Whitehead
Modified: 2010-08-19 07:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-19 07:28:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Whitehead 2010-05-18 15:24:39 EDT
Summary:

SELinux is preventing /usr/bin/perl "getattr" access on /dev/mapper/control.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by diskstats. It is not expected that this
access is required by diskstats and this access may signal an intrusion attempt.
It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:munin_t:s0
Target Context                system_u:object_r:lvm_control_t:s0
Target Objects                /dev/mapper/control [ chr_file ]
Source                        diskstats
Source Path                   /usr/bin/perl
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           perl-5.10.0-87.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-113.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.32.11-99.fc12.x86_64 #1 SMP Mon Apr 5 19:59:38
                              UTC 2010 x86_64 x86_64
Alert Count                   15
First Seen                    Tue 18 May 2010 01:18:21 PM CDT
Last Seen                     Tue 18 May 2010 02:20:04 PM CDT
Local ID                      24a168a1-c120-48b9-b9bf-1586b40704b5
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1274210404.940:1228): avc:  denied  { getattr } for  pid=19153 comm="diskstats" path="/dev/mapper/control" dev=devtmpfs ino=5254 scontext=system_u:system_r:munin_t:s0 tcontext=system_u:object_r:lvm_control_t:s0 tclass=chr_file

node=(removed) type=SYSCALL msg=audit(1274210404.940:1228): arch=c000003e syscall=6 success=yes exit=73014444160 a0=7fffff608c70 a1=7fffff609cc0 a2=7fffff609cc0 a3=37 items=0 ppid=18942 pid=19153 auid=4294967295 uid=485 gid=468 euid=485 suid=485 fsuid=485 egid=468 sgid=468 fsgid=468 tty=(none) ses=4294967295 comm="diskstats" exe="/usr/bin/perl" subj=system_u:system_r:munin_t:s0 key=(null)



Hash String generated from  catchall,diskstats,munin_t,lvm_control_t,chr_file,getattr
audit2allow suggests:
audit2allow is not installed.

Note You need to log in before you can comment on or make changes to this bug.